/*******************************************************************************
* File Name: Clock_Sequencer.h
* Version 2.0
*
*  Description:
*   Provides the function and constant definitions for the clock component.
*
*  Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_CLOCK_Clock_Sequencer_H)
#define CY_CLOCK_Clock_Sequencer_H

#include <cytypes.h>
#include <cyfitter.h>


/***************************************
*        Function Prototypes
***************************************/

void Clock_Sequencer_Start(void);
void Clock_Sequencer_Stop(void);

void Clock_Sequencer_SetFractionalDividerRegister(uint16 clkDivider, uint8 clkFractional);

uint16 Clock_Sequencer_GetDividerRegister(void);
uint8  Clock_Sequencer_GetFractionalDividerRegister(void);

#define Clock_Sequencer_Enable()                         Clock_Sequencer_Start()
#define Clock_Sequencer_Disable()                        Clock_Sequencer_Stop()
#define Clock_Sequencer_SetDividerRegister(clkDivider, reset)  \
                        Clock_Sequencer_SetFractionalDividerRegister((clkDivider), 0)
#define Clock_Sequencer_SetDivider(clkDivider)           Clock_Sequencer_SetDividerRegister((clkDivider), 1)
#define Clock_Sequencer_SetDividerValue(clkDivider)      Clock_Sequencer_SetDividerRegister((clkDivider) - 1, 1)


/***************************************
*             Registers
***************************************/

#define Clock_Sequencer_DIV_REG    (*(reg32 *)Clock_Sequencer__REGISTER)
#define Clock_Sequencer_ENABLE_REG Clock_Sequencer_DIV_REG

#endif /* !defined(CY_CLOCK_Clock_Sequencer_H) */

/* [] END OF FILE */
