/*******************************************************************************
* File Name: PWM_Left_PM.c
* Version 1.0
*
* Description:
*  This file contains the setup, control and status commands to support
*  component operations in low power mode.
*
* Note:
*  None
*
********************************************************************************
* Copyright 2013, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#include "PWM_Left.h"

static PWM_Left_BACKUP_STRUCT PWM_Left_backup;


/*******************************************************************************
* Function Name: PWM_Left_SaveConfig
********************************************************************************
*
* Summary:
*  All configuration registers are retention. Nothing to save here.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void PWM_Left_SaveConfig(void)
{

}


/*******************************************************************************
* Function Name: PWM_Left_Sleep
********************************************************************************
*
* Summary:
*  Stops the component operation and saves the user configuration.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void PWM_Left_Sleep(void)
{
    if(0u != (PWM_Left_BLOCK_CONTROL_REG & PWM_Left_MASK))
    {
        PWM_Left_backup.enableState = 1u;
    }
    else
    {
        PWM_Left_backup.enableState = 0u;
    }

    PWM_Left_Stop();
    PWM_Left_SaveConfig();
}


/*******************************************************************************
* Function Name: PWM_Left_RestoreConfig
********************************************************************************
*
* Summary:
*  All configuration registers are retention. Nothing to restore here.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void PWM_Left_RestoreConfig(void)
{

}


/*******************************************************************************
* Function Name: PWM_Left_Wakeup
********************************************************************************
*
* Summary:
*  Restores the user configuration and restores the enable state.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void PWM_Left_Wakeup(void)
{
    PWM_Left_RestoreConfig();

    if(0u != PWM_Left_backup.enableState)
    {
        PWM_Left_Enable();
    }
}


/* [] END OF FILE */
