/*******************************************************************************
* File Name: PWM_Right.h
* Version 1.0
*
* Description:
*  This file provides constants and parameter values for the PWM_Right
*  component.
*
* Note:
*  None
*
********************************************************************************
* Copyright 2013, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_TCPWM_PWM_Right_H)
#define CY_TCPWM_PWM_Right_H

#include "cytypes.h"
#include "cyfitter.h"


/*******************************************************************************
* Internal Type defines
*******************************************************************************/

/* Structure to save state before go to sleep */
typedef struct
{
    uint8  enableState;
} PWM_Right_BACKUP_STRUCT;


/*******************************************************************************
* Variables
*******************************************************************************/
extern uint8  PWM_Right_initVar;


/***************************************
*   Conditional Compilation Parameters
****************************************/

/* TCPWM Configuration */
#define PWM_Right_CONFIG                         (7lu)

/* Quad Mode */
/* Parameters */
#define PWM_Right_QUAD_ENCODING_MODES            (0lu)

/* Signal modes */
#define PWM_Right_QUAD_INDEX_SIGNAL_MODE         (0lu)
#define PWM_Right_QUAD_PHIA_SIGNAL_MODE          (3lu)
#define PWM_Right_QUAD_PHIB_SIGNAL_MODE          (3lu)
#define PWM_Right_QUAD_STOP_SIGNAL_MODE          (0lu)

/* Signal present */
#define PWM_Right_QUAD_INDEX_SIGNAL_PRESENT      (0lu)
#define PWM_Right_QUAD_STOP_SIGNAL_PRESENT       (0lu)

/* Interrupt Mask */
#define PWM_Right_QUAD_INTERRUPT_MASK            (1lu)

/* Timer/Counter Mode */
/* Parameters */
#define PWM_Right_TC_RUN_MODE                    (0lu)
#define PWM_Right_TC_COUNTER_MODE                (0lu)
#define PWM_Right_TC_COMP_CAP_MODE               (2lu)
#define PWM_Right_TC_PRESCALER                   (0lu)

/* Signal modes */
#define PWM_Right_TC_RELOAD_SIGNAL_MODE          (0lu)
#define PWM_Right_TC_COUNT_SIGNAL_MODE           (3lu)
#define PWM_Right_TC_START_SIGNAL_MODE           (0lu)
#define PWM_Right_TC_STOP_SIGNAL_MODE            (0lu)
#define PWM_Right_TC_CAPTURE_SIGNAL_MODE         (0lu)

/* Signal present */
#define PWM_Right_TC_RELOAD_SIGNAL_PRESENT       (0lu)
#define PWM_Right_TC_COUNT_SIGNAL_PRESENT        (0lu)
#define PWM_Right_TC_START_SIGNAL_PRESENT        (0lu)
#define PWM_Right_TC_STOP_SIGNAL_PRESENT         (0lu)
#define PWM_Right_TC_CAPTURE_SIGNAL_PRESENT      (0lu)

/* Interrupt Mask */
#define PWM_Right_TC_INTERRUPT_MASK              (1lu)

/* PWM Mode */
/* Parameters */
#define PWM_Right_PWM_KILL_EVENT                 (0lu)
#define PWM_Right_PWM_STOP_EVENT                 (0lu)
#define PWM_Right_PWM_MODE                       (4lu)
#define PWM_Right_PWM_OUT_N_INVERT               (0lu)
#define PWM_Right_PWM_OUT_INVERT                 (0lu)
#define PWM_Right_PWM_ALIGN                      (0lu)
#define PWM_Right_PWM_RUN_MODE                   (0lu)
#define PWM_Right_PWM_DEAD_TIME_CYCLE            (0lu)
#define PWM_Right_PWM_PRESCALER                  (0lu)

/* Signal modes */
#define PWM_Right_PWM_RELOAD_SIGNAL_MODE         (0lu)
#define PWM_Right_PWM_COUNT_SIGNAL_MODE          (3lu)
#define PWM_Right_PWM_START_SIGNAL_MODE          (0lu)
#define PWM_Right_PWM_STOP_SIGNAL_MODE           (0lu)
#define PWM_Right_PWM_SWITCH_SIGNAL_MODE         (0lu)

/* Signal present */
#define PWM_Right_PWM_RELOAD_SIGNAL_PRESENT      (0lu)
#define PWM_Right_PWM_COUNT_SIGNAL_PRESENT       (0lu)
#define PWM_Right_PWM_START_SIGNAL_PRESENT       (0lu)
#define PWM_Right_PWM_STOP_SIGNAL_PRESENT        (0lu)
#define PWM_Right_PWM_SWITCH_SIGNAL_PRESENT      (0lu)

/* Interrupt Mask */
#define PWM_Right_PWM_INTERRUPT_MASK             (1lu)


/***************************************
*    Initial Parameter Constants
***************************************/

/* Timer/Counter Mode */
#define PWM_Right_TC_PERIOD_VALUE                (65535lu)
#define PWM_Right_TC_COMPARE_VALUE               (65535lu)
#define PWM_Right_TC_COMPARE_BUF_VALUE           (65535lu)
#define PWM_Right_TC_COMPARE_SWAP                (0lu)

/* PWM Mode */
#define PWM_Right_PWM_PERIOD_VALUE               (255lu)
#define PWM_Right_PWM_PERIOD_BUF_VALUE           (65535lu)
#define PWM_Right_PWM_PERIOD_SWAP                (0lu)
#define PWM_Right_PWM_COMPARE_VALUE              (128lu)
#define PWM_Right_PWM_COMPARE_BUF_VALUE          (65535lu)
#define PWM_Right_PWM_COMPARE_SWAP               (0lu)


/***************************************
*    Enumerated Types and Parameters
***************************************/

#define PWM_Right__LEFT 0
#define PWM_Right__RIGHT 1
#define PWM_Right__CENTER 2
#define PWM_Right__ASYMMETRIC 3

#define PWM_Right__X1 0
#define PWM_Right__X2 1
#define PWM_Right__X4 2

#define PWM_Right__PWM 4
#define PWM_Right__PWM_DT 5
#define PWM_Right__PWM_PR 6

#define PWM_Right__INVERSE 1
#define PWM_Right__DIRECT 0

#define PWM_Right__CAPTURE 2
#define PWM_Right__COMPARE 0

#define PWM_Right__TRIG_LEVEL 3
#define PWM_Right__TRIG_RISING 0
#define PWM_Right__TRIG_FALLING 1
#define PWM_Right__TRIG_BOTH 2

#define PWM_Right__INTR_MASK_TC 1
#define PWM_Right__INTR_MASK_CC_MATCH 2
#define PWM_Right__INTR_MASK_NONE 0
#define PWM_Right__INTR_MASK_TC_CC 3

#define PWM_Right__UNCONFIG 8
#define PWM_Right__TIMER 1
#define PWM_Right__QUAD 3
#define PWM_Right__PWM_SEL 7

#define PWM_Right__COUNT_UP 0
#define PWM_Right__COUNT_DOWN 1
#define PWM_Right__COUNT_UPDOWN0 2
#define PWM_Right__COUNT_UPDOWN1 3


/* Prescaler */
#define PWM_Right_PRESCALE_DIVBY1                ((uint32)(0u << PWM_Right_PRESCALER_SHIFT))
#define PWM_Right_PRESCALE_DIVBY2                ((uint32)(1u << PWM_Right_PRESCALER_SHIFT))
#define PWM_Right_PRESCALE_DIVBY4                ((uint32)(2u << PWM_Right_PRESCALER_SHIFT))
#define PWM_Right_PRESCALE_DIVBY8                ((uint32)(3u << PWM_Right_PRESCALER_SHIFT))
#define PWM_Right_PRESCALE_DIVBY16               ((uint32)(4u << PWM_Right_PRESCALER_SHIFT))
#define PWM_Right_PRESCALE_DIVBY32               ((uint32)(5u << PWM_Right_PRESCALER_SHIFT))
#define PWM_Right_PRESCALE_DIVBY64               ((uint32)(6u << PWM_Right_PRESCALER_SHIFT))
#define PWM_Right_PRESCALE_DIVBY128              ((uint32)(7u << PWM_Right_PRESCALER_SHIFT))

/* TCPWM set modes */
#define PWM_Right_MODE_TIMER_COMPARE             ((uint32)(PWM_Right__COMPARE         <<  \
                                                                  PWM_Right_MODE_SHIFT))
#define PWM_Right_MODE_TIMER_CAPTURE             ((uint32)(PWM_Right__CAPTURE         <<  \
                                                                  PWM_Right_MODE_SHIFT))
#define PWM_Right_MODE_QUAD                      ((uint32)(PWM_Right__QUAD            <<  \
                                                                  PWM_Right_MODE_SHIFT))
#define PWM_Right_MODE_PWM                       ((uint32)(PWM_Right__PWM             <<  \
                                                                  PWM_Right_MODE_SHIFT))
#define PWM_Right_MODE_PWM_DT                    ((uint32)(PWM_Right__PWM_DT          <<  \
                                                                  PWM_Right_MODE_SHIFT))
#define PWM_Right_MODE_PWM_PR                    ((uint32)(PWM_Right__PWM_PR          <<  \
                                                                  PWM_Right_MODE_SHIFT))

/* Quad Modes */
#define PWM_Right_MODE_X1                        ((uint32)(PWM_Right__X1              <<  \
                                                                  PWM_Right_QUAD_MODE_SHIFT))
#define PWM_Right_MODE_X2                        ((uint32)(PWM_Right__X2              <<  \
                                                                  PWM_Right_QUAD_MODE_SHIFT))
#define PWM_Right_MODE_X4                        ((uint32)(PWM_Right__X4              <<  \
                                                                  PWM_Right_QUAD_MODE_SHIFT))

/* Counter modes */
#define PWM_Right_COUNT_UP                       ((uint32)(PWM_Right__COUNT_UP        <<  \
                                                                  PWM_Right_UPDOWN_SHIFT))
#define PWM_Right_COUNT_DOWN                     ((uint32)(PWM_Right__COUNT_DOWN      <<  \
                                                                  PWM_Right_UPDOWN_SHIFT))
#define PWM_Right_COUNT_UPDOWN0                  ((uint32)(PWM_Right__COUNT_UPDOWN0   <<  \
                                                                  PWM_Right_UPDOWN_SHIFT))
#define PWM_Right_COUNT_UPDOWN1                  ((uint32)(PWM_Right__COUNT_UPDOWN1   <<  \
                                                                  PWM_Right_UPDOWN_SHIFT))

/* PWM output invert */
#define PWM_Right_INVERT_LINE                    ((uint32)(PWM_Right__INVERSE         <<  \
                                                                  PWM_Right_INV_OUT_SHIFT))
#define PWM_Right_INVERT_LINE_N                  ((uint32)(PWM_Right__INVERSE         <<  \
                                                                  PWM_Right_INV_COMPL_OUT_SHIFT))

/* Trigger modes */
#define PWM_Right_TRIG_RISING                    (PWM_Right__TRIG_RISING)
#define PWM_Right_TRIG_FALLING                   (PWM_Right__TRIG_FALLING)
#define PWM_Right_TRIG_BOTH                      (PWM_Right__TRIG_BOTH)
#define PWM_Right_TRIG_LEVEL                     (PWM_Right__TRIG_LEVEL)

/* Interrupt mask */
#define PWM_Right_INTR_MASK_TC                   (PWM_Right__INTR_MASK_TC)
#define PWM_Right_INTR_MASK_CC_MATCH             (PWM_Right__INTR_MASK_CC_MATCH)

/* PWM Output Controls */
#define PWM_Right_CC_MATCH_SET                   (0x00u)
#define PWM_Right_CC_MATCH_CLEAR                 (0x01u)
#define PWM_Right_CC_MATCH_INVERT                (0x02u)
#define PWM_Right_CC_MATCH_NO_CHANGE             (0x03u)
#define PWM_Right_OVERLOW_SET                    (0x00u)
#define PWM_Right_OVERLOW_CLEAR                  (0x04u)
#define PWM_Right_OVERLOW_INVERT                 (0x08u)
#define PWM_Right_OVERLOW_NO_CHANGE              (0x0Cu)
#define PWM_Right_UNDERFLOW_SET                  (0x00u)
#define PWM_Right_UNDERFLOW_CLEAR                (0x10u)
#define PWM_Right_UNDERFLOW_INVERT               (0x20u)
#define PWM_Right_UNDERFLOW_NO_CHANGE            (0x30u)

/* PWM Align */
#define PWM_Right_PWM_MODE_LEFT                  (PWM_Right_CC_MATCH_CLEAR        |   \
                                                         PWM_Right_OVERLOW_SET           |   \
                                                         PWM_Right_UNDERFLOW_NO_CHANGE)
#define PWM_Right_PWM_MODE_RIGHT                 (PWM_Right_CC_MATCH_SET          |   \
                                                         PWM_Right_OVERLOW_NO_CHANGE     |   \
                                                         PWM_Right_UNDERFLOW_CLEAR)
#define PWM_Right_PWM_MODE_CENTER                (PWM_Right_CC_MATCH_INVERT       |   \
                                                         PWM_Right_OVERLOW_NO_CHANGE     |   \
                                                         PWM_Right_UNDERFLOW_CLEAR)
#define PWM_Right_PWM_MODE_ASYM                  (PWM_Right_CC_MATCH_NO_CHANGE    |   \
                                                         PWM_Right_OVERLOW_SET           |   \
                                                         PWM_Right_UNDERFLOW_CLEAR )

/* Command operations without condition */
#define PWM_Right_CMD_CAPTURE                    (0u)
#define PWM_Right_CMD_RELOAD                     (8u)
#define PWM_Right_CMD_STOP                       (16u)
#define PWM_Right_CMD_START                      (24u)

/* Status */
#define PWM_Right_STATUS_DOWN                    (1u)
#define PWM_Right_STATUS_RUNNING                 (2u)


/***************************************
*        Function Prototypes
****************************************/

void   PWM_Right_Init(void);
void   PWM_Right_Enable(void);
void   PWM_Right_Start(void);
void   PWM_Right_Stop(void);

void   PWM_Right_SetMode(uint32 mode);
void   PWM_Right_SetCounterMode(uint32 counterMode);
void   PWM_Right_SetPWMMode(uint32 modeMask);
void   PWM_Right_SetQDMode(uint32 qdMode);

void   PWM_Right_SetPrescaler(uint32 prescaler);
void   PWM_Right_TriggerCommand(uint32 mask, uint32 command);
void   PWM_Right_SetOneShot(uint32 oneShotEnable);
uint32 PWM_Right_ReadStatus(void);

void   PWM_Right_SetPWMSyncKill(uint32 syncKillEnable);
void   PWM_Right_SetPWMStopOnKill(uint32 stopOnKillEnable);
void   PWM_Right_SetPWMDeadTime(uint32 deadTime);
void   PWM_Right_SetPWMInvert(uint32 mask);

void   PWM_Right_SetInterruptMode(uint32 interruptMask);
uint32 PWM_Right_GetInterruptSourceMasked(void);
uint32 PWM_Right_GetInterruptSource(void);
void   PWM_Right_ClearInterrupt(uint32 interruptMask);
void   PWM_Right_SetInterrupt(uint32 interruptMask);

void   PWM_Right_WriteCounter(uint32 count);
uint32 PWM_Right_ReadCounter(void);

uint32 PWM_Right_ReadCapture(void);
uint32 PWM_Right_ReadCaptureBuf(void);

void   PWM_Right_WritePeriod(uint32 period);
uint32 PWM_Right_ReadPeriod(void);
void   PWM_Right_WritePeriodBuf(uint32 periodBuf);
uint32 PWM_Right_ReadPeriodBuf(void);

void   PWM_Right_WriteCompare(uint32 compare);
uint32 PWM_Right_ReadCompare(void);
void   PWM_Right_WriteCompareBuf(uint32 compareBuf);
uint32 PWM_Right_ReadCompareBuf(void);

void   PWM_Right_SetPeriodSwap(uint32 swapEnable);
void   PWM_Right_SetCompareSwap(uint32 swapEnable);

void   PWM_Right_SetCaptureMode(uint32 triggerMode);
void   PWM_Right_SetReloadMode(uint32 triggerMode);
void   PWM_Right_SetStartMode(uint32 triggerMode);
void   PWM_Right_SetStopMode(uint32 triggerMode);
void   PWM_Right_SetCountMode(uint32 triggerMode);

void   PWM_Right_SaveConfig(void);
void   PWM_Right_RestoreConfig(void);
void   PWM_Right_Sleep(void);
void   PWM_Right_Wakeup(void);


/***************************************
*             Registers
***************************************/

#define PWM_Right_BLOCK_CONTROL_REG              (*(reg32 *) PWM_Right_cy_m0s8_tcpwm_1__TCPWM_CTRL )
#define PWM_Right_BLOCK_CONTROL_PTR              ( (reg32 *) PWM_Right_cy_m0s8_tcpwm_1__TCPWM_CTRL )
#define PWM_Right_COMMAND_REG                    (*(reg32 *) PWM_Right_cy_m0s8_tcpwm_1__TCPWM_CMD )
#define PWM_Right_COMMAND_PTR                    ( (reg32 *) PWM_Right_cy_m0s8_tcpwm_1__TCPWM_CMD )
#define PWM_Right_INTRRUPT_CAUSE_REG             (*(reg32 *) PWM_Right_cy_m0s8_tcpwm_1__TCPWM_INTR_CAUSE )
#define PWM_Right_INTRRUPT_CAUSE_PTR             ( (reg32 *) PWM_Right_cy_m0s8_tcpwm_1__TCPWM_INTR_CAUSE )
#define PWM_Right_CONTROL_REG                    (*(reg32 *) PWM_Right_cy_m0s8_tcpwm_1__CTRL )
#define PWM_Right_CONTROL_PTR                    ( (reg32 *) PWM_Right_cy_m0s8_tcpwm_1__CTRL )
#define PWM_Right_STATUS_REG                     (*(reg32 *) PWM_Right_cy_m0s8_tcpwm_1__STATUS )
#define PWM_Right_STATUS_PTR                     ( (reg32 *) PWM_Right_cy_m0s8_tcpwm_1__STATUS )
#define PWM_Right_COUNTER_REG                    (*(reg32 *) PWM_Right_cy_m0s8_tcpwm_1__COUNTER )
#define PWM_Right_COUNTER_PTR                    ( (reg32 *) PWM_Right_cy_m0s8_tcpwm_1__COUNTER )
#define PWM_Right_COMP_CAP_REG                   (*(reg32 *) PWM_Right_cy_m0s8_tcpwm_1__CC )
#define PWM_Right_COMP_CAP_PTR                   ( (reg32 *) PWM_Right_cy_m0s8_tcpwm_1__CC )
#define PWM_Right_COMP_CAP_BUF_REG               (*(reg32 *) PWM_Right_cy_m0s8_tcpwm_1__CC_BUFF )
#define PWM_Right_COMP_CAP_BUF_PTR               ( (reg32 *) PWM_Right_cy_m0s8_tcpwm_1__CC_BUFF )
#define PWM_Right_PERIOD_REG                     (*(reg32 *) PWM_Right_cy_m0s8_tcpwm_1__PERIOD )
#define PWM_Right_PERIOD_PTR                     ( (reg32 *) PWM_Right_cy_m0s8_tcpwm_1__PERIOD )
#define PWM_Right_PERIOD_BUF_REG                 (*(reg32 *) PWM_Right_cy_m0s8_tcpwm_1__PERIOD_BUFF )
#define PWM_Right_PERIOD_BUF_PTR                 ( (reg32 *) PWM_Right_cy_m0s8_tcpwm_1__PERIOD_BUFF )
#define PWM_Right_TRIG_CONTROL0_REG              (*(reg32 *) PWM_Right_cy_m0s8_tcpwm_1__TR_CTRL0 )
#define PWM_Right_TRIG_CONTROL0_PTR              ( (reg32 *) PWM_Right_cy_m0s8_tcpwm_1__TR_CTRL0 )
#define PWM_Right_TRIG_CONTROL1_REG              (*(reg32 *) PWM_Right_cy_m0s8_tcpwm_1__TR_CTRL1 )
#define PWM_Right_TRIG_CONTROL1_PTR              ( (reg32 *) PWM_Right_cy_m0s8_tcpwm_1__TR_CTRL1 )
#define PWM_Right_TRIG_CONTROL2_REG              (*(reg32 *) PWM_Right_cy_m0s8_tcpwm_1__TR_CTRL2 )
#define PWM_Right_TRIG_CONTROL2_PTR              ( (reg32 *) PWM_Right_cy_m0s8_tcpwm_1__TR_CTRL2 )
#define PWM_Right_INTERRUPT_REQ_REG              (*(reg32 *) PWM_Right_cy_m0s8_tcpwm_1__INTR )
#define PWM_Right_INTERRUPT_REQ_PTR              ( (reg32 *) PWM_Right_cy_m0s8_tcpwm_1__INTR )
#define PWM_Right_INTERRUPT_SET_REG              (*(reg32 *) PWM_Right_cy_m0s8_tcpwm_1__INTR_SET )
#define PWM_Right_INTERRUPT_SET_PTR              ( (reg32 *) PWM_Right_cy_m0s8_tcpwm_1__INTR_SET )
#define PWM_Right_INTERRUPT_MASK_REG             (*(reg32 *) PWM_Right_cy_m0s8_tcpwm_1__INTR_MASK )
#define PWM_Right_INTERRUPT_MASK_PTR             ( (reg32 *) PWM_Right_cy_m0s8_tcpwm_1__INTR_MASK )
#define PWM_Right_INTERRUPT_MASKED_REG           (*(reg32 *) PWM_Right_cy_m0s8_tcpwm_1__INTR_MASKED )
#define PWM_Right_INTERRUPT_MASKED_PTR           ( (reg32 *) PWM_Right_cy_m0s8_tcpwm_1__INTR_MASKED )


/***************************************
*       Registers Constants
***************************************/

/* Mask */
#define PWM_Right_MASK                           ((uint32)PWM_Right_cy_m0s8_tcpwm_1__TCPWM_CTRL_MASK)

/* Shift constants for control register */
#define PWM_Right_RELOAD_CC_SHIFT                (0u)
#define PWM_Right_RELOAD_PERIOD_SHIFT            (1u)
#define PWM_Right_PWM_SYNC_KILL_SHIFT            (2u)
#define PWM_Right_PWM_STOP_KILL_SHIFT            (3u)
#define PWM_Right_PRESCALER_SHIFT                (8u)
#define PWM_Right_UPDOWN_SHIFT                   (16u)
#define PWM_Right_ONESHOT_SHIFT                  (18u)
#define PWM_Right_QUAD_MODE_SHIFT                (20u)
#define PWM_Right_INV_OUT_SHIFT                  (20u)
#define PWM_Right_INV_COMPL_OUT_SHIFT            (21u)
#define PWM_Right_MODE_SHIFT                     (24u)

/* Mask constants for control register */
#define PWM_Right_RELOAD_CC_MASK                 ((uint32)(PWM_Right_1BIT_MASK        <<  \
                                                                            PWM_Right_RELOAD_CC_SHIFT))
#define PWM_Right_RELOAD_PERIOD_MASK             ((uint32)(PWM_Right_1BIT_MASK        <<  \
                                                                            PWM_Right_RELOAD_PERIOD_SHIFT))
#define PWM_Right_PWM_SYNC_KILL_MASK             ((uint32)(PWM_Right_1BIT_MASK        <<  \
                                                                            PWM_Right_PWM_SYNC_KILL_SHIFT))
#define PWM_Right_PWM_STOP_KILL_MASK             ((uint32)(PWM_Right_1BIT_MASK        <<  \
                                                                            PWM_Right_PWM_STOP_KILL_SHIFT))
#define PWM_Right_PRESCALER_MASK                 ((uint32)(PWM_Right_8BIT_MASK        <<  \
                                                                            PWM_Right_PRESCALER_SHIFT))
#define PWM_Right_UPDOWN_MASK                    ((uint32)(PWM_Right_2BIT_MASK        <<  \
                                                                            PWM_Right_UPDOWN_SHIFT))
#define PWM_Right_ONESHOT_MASK                   ((uint32)(PWM_Right_1BIT_MASK        <<  \
                                                                            PWM_Right_ONESHOT_SHIFT))
#define PWM_Right_QUAD_MODE_MASK                 ((uint32)(PWM_Right_3BIT_MASK        <<  \
                                                                            PWM_Right_QUAD_MODE_SHIFT))
#define PWM_Right_INV_OUT_MASK                   ((uint32)(PWM_Right_2BIT_MASK        <<  \
                                                                            PWM_Right_INV_OUT_SHIFT))
#define PWM_Right_MODE_MASK                      ((uint32)(PWM_Right_3BIT_MASK        <<  \
                                                                            PWM_Right_MODE_SHIFT))

/* Shift constants for trigger control register 1 */
#define PWM_Right_CAPTURE_SHIFT                  (0u)
#define PWM_Right_COUNT_SHIFT                    (2u)
#define PWM_Right_RELOAD_SHIFT                   (4u)
#define PWM_Right_STOP_SHIFT                     (6u)
#define PWM_Right_START_SHIFT                    (8u)

/* Mask constants for trigger control register 1 */
#define PWM_Right_CAPTURE_MASK                   ((uint32)(PWM_Right_2BIT_MASK        <<  \
                                                                  PWM_Right_CAPTURE_SHIFT))
#define PWM_Right_COUNT_MASK                     ((uint32)(PWM_Right_2BIT_MASK        <<  \
                                                                  PWM_Right_COUNT_SHIFT))
#define PWM_Right_RELOAD_MASK                    ((uint32)(PWM_Right_2BIT_MASK        <<  \
                                                                  PWM_Right_RELOAD_SHIFT))
#define PWM_Right_STOP_MASK                      ((uint32)(PWM_Right_2BIT_MASK        <<  \
                                                                  PWM_Right_STOP_SHIFT))
#define PWM_Right_START_MASK                     ((uint32)(PWM_Right_2BIT_MASK        <<  \
                                                                  PWM_Right_START_SHIFT))

/* MASK */
#define PWM_Right_1BIT_MASK                      ((uint32)0x01u)
#define PWM_Right_2BIT_MASK                      ((uint32)0x03u)
#define PWM_Right_3BIT_MASK                      ((uint32)0x07u)
#define PWM_Right_6BIT_MASK                      ((uint32)0x3Fu)
#define PWM_Right_8BIT_MASK                      ((uint32)0xFFu)
#define PWM_Right_16BIT_MASK                     ((uint32)0xFFFFu)

/* Shift constant for status register */
#define PWM_Right_RUNNING_STATUS_SHIFT           (30u)


/***************************************
*    Initial Constants
***************************************/

#define PWM_Right_PWM_PR_INIT_VALUE              (1u)

#endif /* End CY_TCPWM_PWM_Right_H */

/* [] END OF FILE */
