/*******************************************************************************
* File Name: Pin_LED_GREEN.c  
* Version 1.90
*
* Description:
*  This file contains API to enable firmware control of a Pins component.
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#include "cytypes.h"
#include "Pin_LED_GREEN.h"

#define SetP4PinDriveMode(shift, mode)  \
    do { \
        Pin_LED_GREEN_PC =   (Pin_LED_GREEN_PC & \
                                (uint32)(~(uint32)(Pin_LED_GREEN_DRIVE_MODE_IND_MASK << (Pin_LED_GREEN_DRIVE_MODE_BITS * (shift))))) | \
                                (uint32)((uint32)(mode) << (Pin_LED_GREEN_DRIVE_MODE_BITS * (shift))); \
    } while (0)


/*******************************************************************************
* Function Name: Pin_LED_GREEN_Write
********************************************************************************
*
* Summary:
*  Assign a new value to the digital port's data output register.  
*
* Parameters:  
*  prtValue:  The value to be assigned to the Digital Port. 
*
* Return: 
*  None 
*  
*******************************************************************************/
void Pin_LED_GREEN_Write(uint8 value) 
{
    uint8 drVal = (uint8)(Pin_LED_GREEN_DR & (uint8)(~Pin_LED_GREEN_MASK));
    drVal = (drVal | ((uint8)(value << Pin_LED_GREEN_SHIFT) & Pin_LED_GREEN_MASK));
    Pin_LED_GREEN_DR = (uint32)drVal;
}


/*******************************************************************************
* Function Name: Pin_LED_GREEN_SetDriveMode
********************************************************************************
*
* Summary:
*  Change the drive mode on the pins of the port.
* 
* Parameters:  
*  mode:  Change the pins to this drive mode.
*
* Return: 
*  None
*
*******************************************************************************/
void Pin_LED_GREEN_SetDriveMode(uint8 mode) 
{
	SetP4PinDriveMode(Pin_LED_GREEN__0__SHIFT, mode);
}


/*******************************************************************************
* Function Name: Pin_LED_GREEN_Read
********************************************************************************
*
* Summary:
*  Read the current value on the pins of the Digital Port in right justified 
*  form.
*
* Parameters:  
*  None 
*
* Return: 
*  Returns the current value of the Digital Port as a right justified number
*  
* Note:
*  Macro Pin_LED_GREEN_ReadPS calls this function. 
*  
*******************************************************************************/
uint8 Pin_LED_GREEN_Read(void) 
{
    return (uint8)((Pin_LED_GREEN_PS & Pin_LED_GREEN_MASK) >> Pin_LED_GREEN_SHIFT);
}


/*******************************************************************************
* Function Name: Pin_LED_GREEN_ReadDataReg
********************************************************************************
*
* Summary:
*  Read the current value assigned to a Digital Port's data output register
*
* Parameters:  
*  None 
*
* Return: 
*  Returns the current value assigned to the Digital Port's data output register
*  
*******************************************************************************/
uint8 Pin_LED_GREEN_ReadDataReg(void) 
{
    return (uint8)((Pin_LED_GREEN_DR & Pin_LED_GREEN_MASK) >> Pin_LED_GREEN_SHIFT);
}


/* If Interrupts Are Enabled for this Pins component */ 
#if defined(Pin_LED_GREEN_INTSTAT) 

    /*******************************************************************************
    * Function Name: Pin_LED_GREEN_ClearInterrupt
    ********************************************************************************
    *
    * Summary:
    *  Clears any active interrupts attached to port and returns the value of the 
    *  interrupt status register.
    *
    * Parameters:  
    *  None 
    *
    * Return: 
    *  Returns the value of the interrupt status register
    *  
    *******************************************************************************/
    uint8 Pin_LED_GREEN_ClearInterrupt(void) 
    {
		uint8 maskedStatus = (uint8)(Pin_LED_GREEN_INTSTAT & Pin_LED_GREEN_MASK);
		Pin_LED_GREEN_INTSTAT = maskedStatus;
        return maskedStatus >> Pin_LED_GREEN_SHIFT;
    }

#endif /* If Interrupts Are Enabled for this Pins component */ 


/* [] END OF FILE */
